summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2016-11-01 10:02:11 +0100
committerMichał Górny <mgorny@gentoo.org>2016-11-01 10:07:18 +0100
commit023069664f237e624cd5658c5364b1aab0d46cc7 (patch)
treecf8f26d5cfa972dbe42909c5e3cdcadc2d9da081 /sys-devel
parentxfce-base/exo: Bump to 0.11.2 (diff)
downloadgentoo-023069664f237e624cd5658c5364b1aab0d46cc7.tar.gz
gentoo-023069664f237e624cd5658c5364b1aab0d46cc7.tar.bz2
gentoo-023069664f237e624cd5658c5364b1aab0d46cc7.zip
sys-devel/clang: Pass runtime headers through header check
Diffstat (limited to 'sys-devel')
-rw-r--r--sys-devel/clang/clang-9999.ebuild11
1 files changed, 8 insertions, 3 deletions
diff --git a/sys-devel/clang/clang-9999.ebuild b/sys-devel/clang/clang-9999.ebuild
index a962a818976..a4c4aa42c50 100644
--- a/sys-devel/clang/clang-9999.ebuild
+++ b/sys-devel/clang/clang-9999.ebuild
@@ -207,6 +207,10 @@ src_install() {
multilib-minimal_src_install
+ # Move runtime headers to /usr/lib/clang, where they belong
+ dodir /usr/lib
+ mv "${ED}usr/include/clangrt" "${ED}usr/lib/clang" || die
+
# Apply CHOST and version suffix to clang tools
local clang_version=4.0
local clang_tools=( clang clang++ clang-cl clang-cpp )
@@ -247,9 +251,10 @@ src_install() {
multilib_src_install() {
cmake-utils_src_install
- # move headers to the correct directory
- dodir /usr/lib/clang
- cp -pR "${ED}usr/$(get_libdir)/clang"/* "${ED}usr/lib/clang/" || die
+ # move headers to include/ to get them checked for ABI mismatch
+ # (then to the correct directory in src_install())
+ insinto /usr/include/clangrt
+ doins -r "${ED}usr/$(get_libdir)/clang"/.
rm -r "${ED}usr/$(get_libdir)/clang" || die
}